<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema      xmlns="http://www.w3.org/2001/XMLSchema"
          xmlns:xs="http://www.w3.org/2001/XMLSchema"
        xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
   targetNamespace="http://schemas.xmlsoap.org/wsdl/"
elementFormDefault="qualified">

  <!-- kell! -->
  <complexType name="documented" abstract="true">
    <sequence>
    </sequence>
  </complexType>

  <complexType name="startWithExtensionsType" abstract="true">
    <complexContent>
      <extension base="wsdl:documented">
        <sequence>
          <!-- this (record of) any is needed! -->
          <any namespace="##other" minOccurs="0" maxOccurs="unbounded" processContents="lax"/>
        </sequence>
      </extension>
    </complexContent>
  </complexType>

  <!-- !! !! !! !! !! !! !! !! -->
  <complexType name="binding_operationType">
    <complexContent>
      <extension base="wsdl:startWithExtensionsType">
        <sequence>
          <element name="fault" minOccurs="0" maxOccurs="unbounded">
            <!-- This appears to be the critical part -->
            <complexType>
              <complexContent>
                <extension base="wsdl:startWithExtensionsType">
                </extension>
              </complexContent>
            </complexType>
          </element>
        </sequence>
      </extension>
    </complexContent>
  </complexType>

  <element name="binding_operationType" type="wsdl:binding_operationType"/>
</schema>
